### Hierarchy

- Vector3

### Implements

- Vec3

## Index

### Constructors

- constructor

### Properties

- x
- y
- z

### Accessors

- Length
- normalize

### Methods

- add
- clone
- crossProduct
- distance
- distanceSquared
- divide
- dotProduct
- multiply
- replace
- subtract
- toArray
- add
- clone
- create
- crossProduct
- divide
- dotProduct
- multiply
- normalize
- subtract

## Constructors

### constructor

- new Vector3(x: number, y: number, z: number): Vector3

- - Defined in utils/Vector3.ts:60

  #### Parameters

  - ##### x: number

  - ##### y: number

  - ##### z: number

  #### Returns Vector3

## Properties

### x

x: number

Implementation of Vec3.x

### y

y: number

Implementation of Vec3.y

### z

z: number

Implementation of Vec3.z

## Accessors

### Length

- get Length(): number

- - Defined in utils/Vector3.ts:125

  #### Returns number

### normalize

- get normalize(): Vector3

- - Defined in utils/Vector3.ts:87

  #### Returns Vector3

## Methods

### add

- add(v: number | Vec3): Vec3

- - Defined in utils/Vector3.ts:99

  #### Parameters

  - ##### v: number | Vec3

  #### Returns Vec3

### clone

- clone(): Vector3

- - Defined in utils/Vector3.ts:62

  #### Returns Vector3

### crossProduct

- crossProduct(v: Vec3): Vector3

- - Defined in utils/Vector3.ts:91

  #### Parameters

  - ##### v: Vec3

  #### Returns Vector3

### distance

- distance(v: Vec3): number

- - Defined in utils/Vector3.ts:83

  The distance between two Vectors.

  #### Parameters

  - ##### v: Vec3

    Vector3 to find distance between.

  #### Returns number

  Distance between this and another vector.

### distanceSquared

- distanceSquared(v: Vec3): number

- - Defined in utils/Vector3.ts:72

  The product of the Euclidean magnitudes of this and another Vector3.

  #### Parameters

  - ##### v: Vec3

    Vector3 to find Euclidean magnitude between.

  #### Returns number

  Euclidean magnitude with another vector.

### divide

- divide(v: number | Vec3): Vec3

- - Defined in utils/Vector3.ts:111

  #### Parameters

  - ##### v: number | Vec3

  #### Returns Vec3

### dotProduct

- dotProduct(v: Vec3): number

- - Defined in utils/Vector3.ts:95

  #### Parameters

  - ##### v: Vec3

  #### Returns number

### multiply

- multiply(v: number | Vec3): Vector3

- - Defined in utils/Vector3.ts:107

  #### Parameters

  - ##### v: number | Vec3

  #### Returns Vector3

### replace

- replace(v: Vec3): void

- - Defined in utils/Vector3.ts:119

  #### Parameters

  - ##### v: Vec3

  #### Returns void

### subtract

- subtract(v: Vec3): Vector3

- - Defined in utils/Vector3.ts:103

  #### Parameters

  - ##### v: Vec3

  #### Returns Vector3

### toArray

- toArray(): [number, number, number]

- - Defined in utils/Vector3.ts:115

  #### Returns [number, number, number]

### Static add

- add(v1: Vec3, v2: number | Vec3): Vector3

- - Defined in utils/Vector3.ts:20

  #### Parameters

  - ##### v1: Vec3

  - ##### v2: number | Vec3

  #### Returns Vector3

### Static clone

- clone(v1: Vec3): Vector3

- - Defined in utils/Vector3.ts:16

  #### Parameters

  - ##### v1: Vec3

  #### Returns Vector3

### Static create

- create(v1: number | Vec3): Vector3

- - Defined in utils/Vector3.ts:9

  #### Parameters

  - ##### v1: number | Vec3

  #### Returns Vector3

### Static crossProduct

- crossProduct(v1: Vec3, v2: Vec3): Vector3

- - Defined in utils/Vector3.ts:49

  #### Parameters

  - ##### v1: Vec3

  - ##### v2: Vec3

  #### Returns Vector3

### Static divide

- divide(v1: Vec3, v2: number | Vec3): Vector3

- - Defined in utils/Vector3.ts:38

  #### Parameters

  - ##### v1: Vec3

  - ##### v2: number | Vec3

  #### Returns Vector3

### Static dotProduct

- dotProduct(v1: Vec3, v2: Vec3): number

- - Defined in utils/Vector3.ts:45

  #### Parameters

  - ##### v1: Vec3

  - ##### v2: Vec3

  #### Returns number

### Static multiply

- multiply(v1: Vec3, v2: number | Vec3): Vector3

- - Defined in utils/Vector3.ts:31

  #### Parameters

  - ##### v1: Vec3

  - ##### v2: number | Vec3

  #### Returns Vector3

### Static normalize

- normalize(v: Vector3): Vector3

- - Defined in utils/Vector3.ts:56

  #### Parameters

  - ##### v: Vector3

  #### Returns Vector3

### Static subtract

- subtract(v1: Vec3, v2: Vec3): Vector3

- - Defined in utils/Vector3.ts:27

  #### Parameters

  - ##### v1: Vec3

  - ##### v2: Vec3

  #### Returns Vector3

Generated using TypeDoc